# FdoIoFileStream Class Reference

`#include <FileStream.h>`

Inheritance diagram for FdoIoFileStream:

[legend]

List of all members.

## Detailed Description

FdoIoFileStream provides streamed I/O on a disk file.

Definition at line 26 of file FileStream.h.

## Public Member Functions
virtual FDO_API_COMMON FdoBoolean | CanRead ()
| gets the reading capability.
virtual FDO_API_COMMON FdoBoolean | CanWrite ()
| gets the writing capability.
virtual FDO_API_COMMON FdoInt64 | GetIndex ()
| gets the current position for the stream.
virtual FDO_API_COMMON FdoInt64 | GetLength ()
| gets the current length of the stream.
virtual FDO_API_COMMON FdoBoolean | HasContext ()
| returns whether the stream has any positional context. Streams without context can only be read and written in a forward-only manner. These streams do not allow position and length changes.
virtual FDO_API_COMMON FdoSize | Read (FdoByte *buffer, FdoSize count)
| reads the number of bytes indicated by count into the given buffer, or the number of bytes after the current stream position, whichever is less. The stream’s current position is moved ahead by the number of bytes read.
virtual FDO_API_COMMON void | Reset ()
| sets the position to the start of the stream.
virtual FDO_API_COMMON void | SetLength (FdoInt64 length)
| truncates the stream to the indicated length.
virtual FDO_API_COMMON void | Skip (FdoInt64 offset)
| skips over part of the stream.
virtual FDO_API_COMMON void | Write (FdoIoStream *stream, FdoSize count=0)
| reads the number of bytes from the given stream, and writes them to this stream.
virtual FDO_API_COMMON void | Write (FdoByte *buffer, FdoSize count)
| writes the number of bytes indicated by count, from the given buffer, to the stream. The current position is moved ahead by the number of bytes written.
## Static Public Member Functions
static FDO_API_COMMON FdoIoFileStream * | Create (FILE *fp)
| creates the stream around a C Runtime file stream.
static FDO_API_COMMON FdoIoFileStream * | Create (FdoString *fileName, FdoString *accessModes)
| creates the stream for a named file.

The documentation for this class was generated from the following file:

- FileStream.h